[Overview][Constants][Types][Index] | Reference for unit 'unixtype' (#rtl)

# pthread_mutex_t

Thread mutex type (opaque).

## Declaration

Source position: ptypes.inc line 211

`type pthread_mutex_t = record`
`__m_reserved: cint;` |  | ?
`__m_count: cint;` |  | ?
`__m_owner: pointer;` |  | ?
`__m_kind: cint;` |  | ?
`__m_lock: _pthread_fastlock;` |  | ?
`end;`

## Description

_pthread_mutex_t describes a thread mutex. It should be considered an opaque record, the names of the fields can change anytime.

Documentation generated on: Feb 26 2014